Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Jonathan Day (imipak_at_[hidden])
Date: 2005-08-23 19:35:52


Hi,

I notice that MIPS is not listed amongst the "known"
architectures in the README, and on trying to compile
OpenMPI on a Linux/MIPS64 platform it blew up in the
configuration code.

Having said that, there does seem to be MIPS stuff in
those directories listing assembly code, but I do NOT
know if this includes MIPS64 support.

The exact error message I'm getting is:

configure: error: No atomic primitives available for
mips64-unknown-linux-gnu

Other useful information:

GCC -V shows I'm using 4.0.0
as -v shows I'm using GNU assembler version 2.15
ar -V shows I'm using GNU ar 2.15

The full GNU toolchain is compiled for the correct
architecture and although other programs seem to
compile, some don't, which means that I can't rule out
a bug in the way the toolchain is working.

Has anyone else had success with GCC 4.0.0 on a MIPS64
box?

__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com